Change log for libpdf-report-perl package in Ubuntu

112 of 12 results
Published in focal-release on 2019-10-18
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-22
Deleted in trusty-proposed (Reason: moved to release)
libpdf-report-perl (1.36-1) unstable; urgency=low


  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Nathan Handler ]
  * Email change: Nathan Handler -> <email address hidden>

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Florian Schlichting ]
  * Import Upstream version 1.36
  * Update upstream copyright holders, years and licenses
  * Split build-dependencies into B-D and B-D-I
  * Declare compliance with Debian Policy 3.9.4
  * Add headers to example-paths patch
  * Add myself to uploaders and copyright

 -- Florian Schlichting <email address hidden>  Thu, 03 Oct 2013 17:23:28 +0200

Available diffs

Superseded in trusty-release on 2013-10-22
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
libpdf-report-perl (1.33-3) unstable; urgency=low

  * Team upload.

  [ Ryan Niebur ]
  * Update ryan52's email address

  [ Russ Allbery ]
  * Remove myself from Uploaders.
  * Upate debhelper compatibility level to V8.
    - Use debhelper rule minimization.
  * Avoid bashisms in debian/rules with an explicit list of file
    extensions whose permissions need fixing.
  * Change to Debian source format 3.0 (quilt).
    - Remove now-unnecessary README.source.
  * Remove version on perl build dependency satisfied by oldstable.
  * Use ${perl:Depends} for the perl package dependency instead of
    hard-coding a specific perl version.
  * Install upstream README file.
  * Rewrite debian/copyright in the new proposed DEP-5 format.
  * Remove version from libpdf-api2-perl build and package dependencies,
    satisfied by oldstable.
  * Merge Build-Depends and Build-Depends-Indep.  The separation is
    pointless for a source package that builds only arch-independent
    binary packages.
  * Move libtext-roman-perl to Recommends since it's only required for
    roman page numbering.  Remove version from dependency satisfied by
    oldstable.
  * Update standards version to 3.9.1 (no changes required).
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sat,  30 Apr 2011 13:09:23 +0000

Available diffs

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
Obsolete in karmic-release on 2013-03-04
libpdf-report-perl (1.33-2) unstable; urgency=low

  * SHELL=bash in debian/rules because theres a bashism (Closes:
    #535392)
  * Add myself to Uploaders

 -- Michael Bienia <email address hidden>   Sat,  15 Aug 2009 15:24:16 +0100

Available diffs

Superseded in karmic-release on 2009-08-15
libpdf-report-perl (1.33-1) unstable; urgency=low

  [ Nathan Handler ]
  * New upstream release
  * debian/control:
    - Bump Standards-Version to 3.8.2 (No changes)
  * debian/patches/example-paths:
    - Update to apply

  [ gregor herrmann ]
  * debian/patches/example-paths: add new example script.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  23 Jun 2009 10:37:23 +0100

Available diffs

Superseded in karmic-release on 2009-06-23
libpdf-report-perl (1.32-1) unstable; urgency=low

  [ Nathan Handler ]
  * New upstream release

  [ gregor herrmann ]
  * debian/watch: update to ignore development releases.
  * debian/rules: remove restriction to run only some tests, since the faulty
    pod-coverage test is removed.
  * debian/copyright: add additional copyright holders for debian/*.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  12 Jun 2009 13:18:37 +0100

Available diffs

Superseded in karmic-release on 2009-06-12
libpdf-report-perl (1.31-1) unstable; urgency=low

  [ gregor herrmann ]
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Nathan Handler ]
  * New upstream release
  * debian/control:
    - Add myself to Uploaders list
    - Build-Depend on debhelper (>= 7)
    - Bump Build-Depends-Indep and Depends on libpdf-api2-perl to >= 0.40.00
    - Bump Depends on libtext-roman-perl to >= 3.02
    - Bump Standards-Version to 3.8.1
  * debian/libpdf-report-perl.examples:
    - Move examples here from debian/rules
  * debian/copyright:
    - Modify to use new format
  * debian/rules:
    - Update to use standard rules format for Perl modules
    - Make images in examples directory non-executable
  * debian/docs
    - Remove, not needed
  * debian/patches/fix-addImgScaled:
    - Remove, applied upstream
  * debian/patches/uninitialized-warnings:
    - Remove, applied upstream
  * debian/patches/pod-fixes:
    - Remove, applied upstream
  * debian/patches/scale-barcodes:
    - Remove, applied upstream
  * debian/patches/example-paths:
    - Update for modified example files
  * debian/patches/series:
    - Remove fix-addImgScaled
    - Remove uninitialized-warnings
    - Remove pod-fixes
    - Remove scale-barcodes
  * debian/compat:
    - Bump to 7

  [ gregor herrmann ]
  * debian/watch: use our "default" regexp for matching upstream versions.
  * debian/control:
    - change my email address
    - add build dependency on libtest-pod-perl (used in test suite)
  * debian/rules: run only specific tests.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  08 Jun 2009 11:00:08 +0100

Available diffs

Superseded in karmic-release on 2009-06-08
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
libpdf-report-perl (1.30-7) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * Use dist-based URL in debian/watch.
  * Set debhelper compatibility level to 5.
  * debian/rules: delete /usr/lib/perl5 only if it exists.
    (Closes: #467843)

  [ Russ Allbery ]
  * Switch to quilt from dpatch.
  * debian/rules cleanup:
    - Use $(CURDIR) instead of `pwd`.
    - Add build-arch and build-indep targets.
    - Add an install-stamp file and touch $@ instead of the stamp name.
    - Reorganize and reformat.
    - Remove unnecessary dh_installdirs call and thereby eliminate an
      empty /usr/share/perl5/PDF/Report directory.
  * debian/control: Wrap Uploaders and Depends.
  * debian/copyright: Add an explicit copyright statement and reformt.
  * Update standards version to 3.7.3 (no changes required).

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  02 May 2008 02:16:17 +0100
Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
Obsolete in gutsy-release on 2011-09-16
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
libpdf-report-perl (1.30-6) unstable; urgency=low

  [ gregor herrmann ]
  * Added patch by David Pottage to fix addImgScaled(), thanks!
    (Closes: #365471)

  [ Russ Allbery ]
  * Update to standards version 3.7.0 (no changes required).
  * Remove the empty /usr/lib/perl5 directory from the binary package.
  * Remove template comments from debian/rules.

Superseded in edgy-release on 2006-06-15
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
libpdf-report-perl (1.30-3) unstable; urgency=low


  * Scale barcodes correctly.  Thanks, <email address hidden>.
    (Closes: #343937)
  * Fix some POD errors in the PDF::Report documentation.
  * Remove commented-out templates in debian/rules per ftp-master.
  * Remove obsolete source and diff rules.
  * Use debian/compat rather than DH_COMPAT per debhelper recommendation.

 -- Russ Allbery <email address hidden>  Mon, 16 Jan 2006 14:30:26 -0800
Superseded in dapper-release on 2006-01-31
libpdf-report-perl (1.30-2) unstable; urgency=low


  [ Niko Tyni ]
  * Fixed maintainer email address.

  [ Gunnar Wolf ]
  * debian/watch was including modules in the same namespace, fixed.
  * Now the clean target in debian/rules does not blindly go through the
    realclean call
  * Bumped up standards-version to 3.6.2

 -- Gunnar Wolf <email address hidden>  Tue, 13 Dec 2005 21:58:13 -0600
Obsolete in breezy-release on 2008-03-25
libpdf-report-perl (1.30-1) unstable; urgency=low


  * New upstream release

 -- Gunnar Wolf <email address hidden>  Thu, 17 Mar 2005 18:49:54 -0600
Obsolete in hoary-release on 2008-03-19
Obsolete in warty-release on 2008-01-09
libpdf-report-perl (1.20-2) unstable; urgency=low


  * Fixed a missing build-dependency on libpdf-api2-perl (Closes:
    #223176)
  * Bumped up standards-version to 3.6.1

 -- Gunnar Wolf <email address hidden>  Mon,  8 Dec 2003 16:13:02 -0600
112 of 12 results